"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestCase = void 0;
var QTestResource_1 = require("./QTestResource");
var TestCase = /** @class */ (function (_super) {
    __extends(TestCase, _super);
    function TestCase() {
        return _super.call(this) || this;
    }
    Object.defineProperty(TestCase.prototype, "projectId", {
        get: function () {
            return this._projectId;
        },
        set: function (id) {
            this._projectId = id;
            this._refreshURL();
        },
        enumerable: false,
        configurable: true
    });
    TestCase.prototype.toJSON = function () {
        return {
            links: this.links,
            id: this.id,
            name: this.name,
            automation_content: this.automationContent,
        };
    };
    TestCase.fromJSON = function (json) {
        Object.create(TestCase, json);
    };
    TestCase.prototype._refreshURL = function () {
        this.createURL = "/api/v3/projects/" + this.projectId + "/test-cases/";
        this.updateURL = "/api/v3/projects/" + this.projectId + "/test-cases/" + this.id;
    };
    return TestCase;
}(QTestResource_1.QTestResource));
exports.TestCase = TestCase;
