"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Query = void 0;
var Query = /** @class */ (function () {
    function Query() {
        this.fields = ["*"];
    }
    Object.defineProperty(Query.prototype, "searchParams", {
        get: function () {
            var pageSize = this.pageSize ? "pageSize=" + this.pageSize : "";
            var page = this.page ? "page=" + this.page : "";
            return "?" + pageSize + "&" + page;
        },
        enumerable: false,
        configurable: true
    });
    Query.prototype.addField = function (fieldName) {
        if (this.fields[0] == "*")
            this.fields = [];
        this.fields.push(fieldName);
    };
    Query.prototype.toJSON = function () {
        return {
            object_type: this.objectType,
            fields: this.fields,
            query: this.query
        };
    };
    return Query;
}());
exports.Query = Query;
