"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryResult = void 0;
var QueryResult = /** @class */ (function () {
    function QueryResult(json) {
        this.links = json.links;
        this.page = json.page;
        this.pageSize = json.page_size;
        this.total = json.total;
        this.items = json.items;
    }
    QueryResult.prototype.pageCount = function () {
        return QueryResult.numPages(this.total, this.pageSize);
    };
    QueryResult.numPages = function (t, s) {
        var result = t < s ? 1 : (Math.floor(t / s) + (t % s == 0 ? 0 : 1));
        return result;
    };
    return QueryResult;
}());
exports.QueryResult = QueryResult;
