"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestRun = void 0;
var QTestResource_1 = require("./QTestResource");
var TestRun = /** @class */ (function (_super) {
    __extends(TestRun, _super);
    function TestRun() {
        return _super.call(this) || this;
    }
    Object.defineProperty(TestRun.prototype, "projectId", {
        get: function () {
            return this._projectId;
        },
        set: function (id) {
            this._projectId = id;
            this._refreshURL();
        },
        enumerable: false,
        configurable: true
    });
    TestRun.prototype.toJSON = function () {
        return {
            links: this.links,
            id: this.id,
            name: this.name,
            properties: this.properties,
            test_case: this.testCase
        };
    };
    TestRun.fromJSON = function (json) {
        var tr = new TestRun();
        tr.properties = json.properties;
        tr.testCaseVersionId = json.test_case_version_id;
        tr.links = json.links;
        tr.id = json.id;
        return tr;
    };
    TestRun.prototype._refreshURL = function () {
        this.createURL = "/api/v3/projects/" + this.projectId + "/test-runs/";
    };
    return TestRun;
}(QTestResource_1.QTestResource));
exports.TestRun = TestRun;
