"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.Authenticator = void 0;
var Requester_1 = require("./Requester");
var Authenticator = /** @class */ (function (_super) {
    __extends(Authenticator, _super);
    function Authenticator(host) {
        var _this = _super.call(this, host) || this;
        _this.header = { "name": "Authorization", "value": "Basic QXBpQ29uc3VtZXI6" };
        _this.header = { "name": "Content-Type", "value": "application/x-www-form-urlencoded" };
        return _this;
    }
    Authenticator.prototype.login = function (username, password) {
        var _this = this;
        var form = Authenticator.stringify({
            grant_type: 'password',
            username: username,
            password: password
        });
        return this.driver.post('/oauth/token', form).then(function (response) {
            _this.token = response.data.token_type + " " + response.data.access_token;
            return _this.token;
        });
    };
    Authenticator.prototype.logout = function () {
        this.clearHeaders();
        this.header = { "name": "Authorization", "value": this.token };
        return this.driver.post('/oauth/revoke');
    };
    return Authenticator;
}(Requester_1.Requester));
exports.Authenticator = Authenticator;
