"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.Saver = void 0;
var Requester_1 = require("./Requester");
var Saver = /** @class */ (function (_super) {
    __extends(Saver, _super);
    function Saver(host, token) {
        var _this = _super.call(this, host) || this;
        _this.header = { "name": "Authorization", "value": token };
        _this.header = { "name": "Content-Type", "value": "application/json" };
        _this.header = { "name": "Accept", "value": "application/json" };
        return _this;
    }
    Saver.prototype.saveNew = function (resource) {
        return this.driver.post(resource.createURL, resource.toJSON());
    };
    Saver.prototype.saveChanges = function (resource) {
        return this.driver.put(resource.updateURL, resource.toJSON());
    };
    return Saver;
}(Requester_1.Requester));
exports.Saver = Saver;
